# Inventory Documents

1. Getting inventory documents filtered by date - returns document without lines because of the potential big data size of document lines&#x20;
2. Getting inventory documents including lines - for specific Document ID
3. Adding new documents - without lines
4. Adding/Updating lines to specific Document ID (please note to perform first step 3)
5. Deleting document by Document ID
6. Deleting document line for specific Document ID

## Get list of inventory documents by creation date range or id

Returns document without lines because of the potential big data size of document lines.

<mark style="color:blue;">`GET`</mark> `https://api.rnetpos.com/v1/inventory/documents`

#### Query Parameters

<table><thead><tr><th width="121">Name</th><th width="101">Type</th><th width="188">Description</th><th>Example</th></tr></thead><tbody><tr><td>from_date <mark style="color:red;">*</mark></td><td>DateTime</td><td>MM/dd/yyyy mm:ss:ms</td><td>2026-03-01 10:00:00.000</td></tr><tr><td>to_date <mark style="color:red;">*</mark></td><td>DateTime</td><td>MM/dd/yyyy mm:ss:ms</td><td>2026-03-10 10:00:00.000</td></tr><tr><td>ID<br>(optional)</td><td>GUID</td><td>Document Id,  If provided - "from_date" and "to_date" parameters will be ignored</td><td>07ad8164-727f-45ab-b415-0ff48ae505f6</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "ID": "07ad8164-727f-45ab-b415-0ff48ae505f6",
        "No": null,
        "StoreID": "d6caa89f-9be0-43ab-b03c-b4536670e26a",
        "Store": {
            "StoreID": "d6caa89f-9be0-43ab-b03c-b4536670e26a",
            "Code": "2",
            "ERPCode": null,
            "PriceLeveExID": null,
            "StoreName": "בני ברק",
            "Status": null,
            "DefaultTax": null
        },
        "ToStoreID": "8ddb297a-9dbb-4624-a754-f7b00ba612cb",
        "ToStore": {
            "StoreID": "8ddb297a-9dbb-4624-a754-f7b00ba612cb",
            "Code": "6",
            "ERPCode": null,
            "PriceLeveExID": null,
            "StoreName": "חנות \"המרכזית\"",
            "Status": null,
            "DefaultTax": null
        },
        "SupplierID": null,
        "Supplier": {
            "SupplierID": null,
            "SupplierNo": null,
            "SupplierName": null
        },
        "DateT": "2026-03-08T16:35:59.317",
        "DueDate": null,
        "ParentID": null,
        "Freight": 0.0000,
        "Discount": 0.000,
        "IsDiscAmount": false,
        "Amount": 0.2400,
        "AmountPay": 0.0000,
        "Taxable": false,
        "TaxRate": 18.000,
        "TaxAmount": 0.0400,
        "TermsID": null,
        "Note": null,
        "Type": 3,
        "TypeLabel": null,
        "BOLOrderStatus": null,
        "DocStatus": 3,
        "SupplierAmount": 0.0000,
        "Shipper": null,
        "Rounding": 0.000,
        "NirNo": null,
        "Status": 1,
        "DateCreated": "2026-03-08T16:37:21.76",
        "UserCreated": {
            "UserID": null,
            "UserName": null,
            "UserNo": null
        },
        "DateModified": "2026-03-10T13:57:14.843",
        "UserModified": {
            "UserID": null,
            "UserName": null,
            "UserNo": null
        },
        "CurrBalance": null,
        "TransferedToBookkeeping": null,
        "IsFranchiserTransfer": false,
        "UniqueNumber": 22000636,
        "TotalBruto": 0.2000,
        "CustomerNo": null,
        "TransferStatus": 0,
        "Printed": true,
        "IsStoreNext": null,
        "InventoryUpdateData": null,
        "IsPaid": null,
        "ResetTruckID": null,
        "SummaryInvoiceTransactionId": null,
        "IsDelete": null
    }
]
```

{% endtab %}
{% endtabs %}

## Get inventory document lines by specific Document ID (including document in each line)

<mark style="color:blue;">`GET`</mark> `https://api.rnetpos.com/v1/inventory/document_lines`

#### Query Parameters

<table><thead><tr><th width="104">Name</th><th width="92">Type</th><th width="193">Description</th><th>Example</th></tr></thead><tbody><tr><td>ID <mark style="color:red;">*</mark></td><td>GUID</td><td>Document Id</td><td>07ad8164-727f-45ab-b415-0ff48ae505f6</td></tr><tr><td>item_id<br>(optional)</td><td>GUID</td><td>To get line for specific item</td><td>ad3d76ce-68a3-444b-8930-19475bfa256d</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "ID": "07ad8164-727f-45ab-b415-0ff48ae505f6",
        "Item": {
            "ItemID": "ad3d76ce-68a3-444b-8930-19475bfa256d",
            "Name": "מגש טארטלטים",
            "Description": null,
            "Barcode": "34",
            "Model": "34",
            "DepartmentName": "72",
            "DepartmentNo": "72",
            "SupplierName": "*י.מ. יעקבי סיטונאי מזון בע\"מ",
            "SupplierNo": "8"
        },
        "Doc": {
            "ID": "07ad8164-727f-45ab-b415-0ff48ae505f6",
            "No": null,
            "StoreID": null,
            "Store": null,
            "ToStoreID": null,
            "ToStore": null,
            "SupplierID": null,
            "Supplier": null,
            "DateT": null,
            "DueDate": null,
            "ParentID": null,
            "Freight": null,
            "Discount": null,
            "IsDiscAmount": null,
            "Amount": null,
            "AmountPay": null,
            "Taxable": null,
            "TaxRate": null,
            "TaxAmount": null,
            "TermsID": null,
            "Note": null,
            "Type": 3,
            "TypeLabel": null,
            "BOLOrderStatus": null,
            "DocStatus": 3,
            "SupplierAmount": null,
            "Shipper": null,
            "Rounding": null,
            "NirNo": null,
            "Status": 1,
            "DateCreated": null,
            "UserCreated": null,
            "DateModified": null,
            "UserModified": null,
            "CurrBalance": null,
            "TransferedToBookkeeping": null,
            "IsFranchiserTransfer": null,
            "UniqueNumber": null,
            "TotalBruto": null,
            "CustomerNo": null,
            "TransferStatus": null,
            "Printed": null,
            "IsStoreNext": null,
            "InventoryUpdateData": null,
            "IsPaid": null,
            "ResetTruckID": null,
            "SummaryInvoiceTransactionId": null,
            "IsDelete": null
        },
        "Qty": 1.000,
        "OnHand": 0.000,
        "OrderedQty": 1.000,
        "ReceivedOrderQty": 0.000,
        "RecommendQty": null,
        "SentQty": 1.000,
        "UOMQty": 1.000,
        "Difference_OrderedQty_SentQty": 0.000,
        "Difference_SentQty_ReceivedOrderQty": 1.000,
        "RowID": null,
        "Type": 4,
        "isDelete": null,
        "isChecked": false,
        "isPriceUpdate": false
    }
]
```

{% endtab %}
{% endtabs %}

## Upsert inventory document

<mark style="color:green;">`POST`</mark> `https://api.rnetpos.com/v1/inventory/documents`

#### Request Body

| Name | Type   | Description                                 |
| ---- | ------ | ------------------------------------------- |
|      | Object | Inventory document object (described below) |

**Example for new one:**

```json
{ 
    "StoreID": "92A6E0AB-674B-4813-AF7B-4A5BA6C90390", 
    "ToStoreID": "935F57E0-3827-4F19-8FD6-5B3A1035E57E",
    "SupplierID": "9445A4DA-BCCF-455E-890E-0095BA22DC2C",
    "Type": 3, 
    "DocStatus": 3,
    "Note": "Description"
}
```

#### Response

{% tabs %}
{% tab title="200" %}

```json
{
    "ID": "9f7e8003-f49b-4b74-a5df-fc93c6c6744d",
    "No": "555609",
    "StoreID": "92a6e0ab-674b-4813-af7b-4a5ba6c90390",
    "ToStoreID": "935f57e0-3827-4f19-8fd6-5b3a1035e57e",
    "SupplierID": "9445a4da-bccf-455e-890e-0095ba22dc2c",
    "DateT": "2026-04-22T14:27:13.4318427+03:00",
    "DueDate": null,
    "ParentID": null,
    "Freight": 0.0,
    "Discount": 0.0,
    "IsDiscAmount": false,
    "Amount": 0.0,
    "AmountPay": 0.0,
    "Taxable": false,
    "TaxRate": 0.0000,
    "TaxAmount": 0.0,
    "TermsID": null,
    "Note": "Description",
    "Type": 3,
    "BOLOrderStatus": null,
    "DocStatus": 3,
    "SupplierAmount": 0.0,
    "Shipper": null,
    "Rounding": 0.0,
    "NirNo": null,
    "Status": 1,
    "DateCreated": "2026-04-22T14:27:13.5227405+03:00",
    "UserCreated": "1ff27bbc-4264-4405-8581-7664edce95ac",
    "DateModified": "2026-04-22T14:27:13.6591818+03:00",
    "UserModified": "1ff27bbc-4264-4405-8581-7664edce95ac",
    "CurrBalance": null,
    "TransferedToBookkeeping": null,
    "IsFranchiserTransfer": false,
    "UniqueNumber": 20000004,
    "TotalBruto": 0.0,
    "CustomerNo": null,
    "TransferStatus": 0,
    "Printed": false,
    "IsStoreNext": null,
    "InventoryUpdateData": null,
    "IsPaid": null,
    "ResetTruckID": null,
    "SummaryInvoiceTransactionId": null,
    "ERPCode": null
}
```

{% endtab %}
{% endtabs %}

***

**Example for updating existing:**

```json
{
    "ID": "9f7e8003-f49b-4b74-a5df-fc93c6c6744d", 
    "StoreID": "92A6E0AB-674B-4813-AF7B-4A5BA6C90390", 
    "ToStoreID": "935F57E0-3827-4F19-8FD6-5B3A1035E57E",
    "SupplierID": "9445A4DA-BCCF-455E-890E-0095BA22DC2C",
    "DocStatus": 3
}
```

## Upsert Inventory Document line by Document Id and Item Id

<mark style="color:green;">`POST`</mark> `https://api.rnetpos.com/v1/inventory/document_lines`&#x20;

#### Request Body

| Name | Type           | Description                                               |
| ---- | -------------- | --------------------------------------------------------- |
|      | List of object | List of Inventory document line objects (described below) |

{% hint style="info" %}

**DocStatus**

* 0 - Open (פתוח)
* 1 - Partially Approved (מאושר חלקי)
* 2 - Closed (סגור)
* 3 - Transferred (הועבר)
* 4 - Received (התקבל)
* 5 - Order Recommendation (המלצה להזמנה)
* 6 - Saved (שמור)
* 7 - Stock Updated (עודכן מלאי)
* 9 - Checked and Approved (נבדק ואושר)
* 10 - Checked and Not Approved (נבדק ולא אושר)
* 11 - Partially Supplied (סופק חלקית)

**Type**

* 0 - Delivery Note (תעודת משלוח)
* 1 - Invoice (חשבונית)
* 3 - Product Return
* 4 - Product Transfer
* 5 - Product Receipt
* 6 - Product Ordered
* 7 - Product Recommended Invitation
  {% endhint %}

**Example:**

```json
[
    {
        "DocId": "9f7e8003-f49b-4b74-a5df-fc93c6c6744d",
        "ItemID": "91d3fc27-af9e-4479-a380-8731729e8453", 
        "Qty": 1.0,
        "SentQty": 1.0, 
        "UOMQty": 1.0,
        "OrderedQty": 1.0,
        //"AddQty": false, // in case true or not provided - will add value to current one (for "Qty", "UOMQty", "SentQty", "OrderedQty"), else - simple assignment
        "Type": 5,  // described in list above
        "DocStatus": 7 // described in list above
    }
]
```

#### Response

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "ItemID": "91d3fc27-af9e-4479-a380-8731729e8453",
        "RowID": 0,
        "QuantityCounted": 1.0
    }
]
```

{% endtab %}
{% endtabs %}

## Delete Inventory Document By Id

<mark style="color:red;">`DELETE`</mark> `https://api.rnetpos.com/v1/inventory/documents`

#### Query Parameters

| Name                                  | Type | Description |
| ------------------------------------- | ---- | ----------- |
| ID <mark style="color:red;">\*</mark> | GUID | Document Id |

## Delete single line from inventory document

<mark style="color:red;">`DELETE`</mark> `https://api.rnetpos.com/v1/inventory/document_lines`

#### Query Parameters

| Name                                      | Type | Description |
| ----------------------------------------- | ---- | ----------- |
| ID <mark style="color:red;">\*</mark>     | GUID | Document Id |
| ItemID <mark style="color:red;">\*</mark> | GUID | Item Id     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rnet-tec.com/retrieving-data/inventory-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
